program tor32;

uses
  Forms,
  Windows,
  Dialogs,
  SysUtils,
  tor32u in 'tor32u.pas' {MainForm},
  cmdline in 'UNITS\WIN32\Cmdline.pas' {CommandLineForm},
  help in 'UNITS\WIN32\Help.pas' {HelpForm},
  iemsibox in 'UNITS\WIN32\Iemsibox.pas' {EmsiBox},
  InfoUnit in 'UNITS\WIN32\Infounit.pas' {InfoForm},
  page in 'UNITS\WIN32\Page.pas' {PageForm},
  secur in 'UNITS\WIN32\Secur.pas' {SecurityForm},
  taglist in 'UNITS\WIN32\Taglist.pas' {TagListForm},
  useredu in 'UNITS\WIN32\Useredu.pas' {UserEdForm},
  Protocol in 'UNITS\Protocol.pas',
  aboutbox in 'UNITS\WIN32\aboutbox.pas' {AboutForm};

{$R *.RES}

begin
  Application.Initialize;
  Application.Title := 'Tornado/W32';
  Application.CreateForm(TMainForm, MainForm);
  Application.CreateForm(TCommandLineForm, CommandLineForm);
  Application.CreateForm(THelpForm, HelpForm);
  Application.CreateForm(TEmsiBox, EmsiBox);
  Application.CreateForm(TInfoForm, InfoForm);
  Application.CreateForm(TPageForm, PageForm);
  Application.CreateForm(TSecurityForm, SecurityForm);
  Application.CreateForm(TTagListForm, TagListForm);
  Application.CreateForm(TUserEdForm, UserEdForm);
  Application.CreateForm(TAboutForm, AboutForm);
  Application.ProcessMessages;
  Application.OnMinimize := MainForm.AppMinimize;
  Application.OnIdle := MainForm.MainEngine;
  If MainForm.Prepare Then Application.Run;
end.